Resource Center/Resource Pool/Volume Operations
PUTVolume OperationsSince 0.6SynchronousAuth Required
ChangeVolumeState
ChangeVolumeState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe volume UUID.
Body Fields
changevolumestateObjectRequiredchangevolumestate request body object.
stateEventStringRequiredWhether to enable or disable the volume.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/volumes/{uuid}/actions
/zstack/v1/volumes/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/volumes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changevolumestate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "0404b47365d14328b69be6ba29f79e74", "name": "test-volume", "primaryStorageUuid": "b86a9e49bf0e4c96b13b416de45031b1", "vmInstanceUuid": "00e88729e2f64212a7ae19c135de879d", "diskOfferingUuid": "9042780280534984ad298f8c6613e162", "rootImageUuid": "de9c09f4f3f7409e98ac0dbb6cae76a2", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-0404b47365d14328b69be6ba29f79e74/0404b47365d14328b69be6ba29f79e74.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Jun 7, 2017 9:21:21 PM", "lastOpDate": "Jun 7, 2017 9:21:21 PM" } } }Change History
This API has no change history records yet.
